Page MenuHomeSolus

Update geany to 1.36
ClosedPublic

Authored by livingsilver94 on Mon, Nov 18, 1:57 PM.

Details

Summary

Changelog available here.

Package changes:

Instead of defaulting to xterm, use an installed terminal. Priority is:

  1. x-terminal-emulator (Budgie, GNOME)
  2. mate-terminal-emulator (MATE)
  3. konsole (Plasma)

Fixes T5543.

Test Plan

Geany correctly sets the terminal to konsole (in my case) when running with no config files.

Diff Detail

Repository
R882 geany
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

livingsilver94 created this revision.Mon, Nov 18, 1:57 PM
livingsilver94 requested review of this revision.Mon, Nov 18, 1:57 PM

Also update it to 1.36

livingsilver94 retitled this revision from geany: set the correct terminal to Update geany to 1.36.Mon, Nov 18, 2:07 PM
livingsilver94 edited the summary of this revision. (Show Details)

Remove unneeded files

livingsilver94 added a comment.EditedMon, Nov 18, 3:03 PM

Scintilla is MIT-licensed. Should this be specified in license or should I keep ScintillaLicense.txt?

livingsilver94 edited the test plan for this revision. (Show Details)Mon, Nov 18, 5:45 PM
JoshStrobl accepted this revision.Thu, Nov 21, 1:36 PM
JoshStrobl added a subscriber: JoshStrobl.

Scintilla is MIT-licensed. Should this be specified in license or should I keep ScintillaLicense.txt?

Nah, let's keep it nuked. Patch looks good to me, thanks for the fixes.

This revision is now accepted and ready to land.Thu, Nov 21, 1:36 PM
This revision was automatically updated to reflect the committed changes.